DomPDF Library 0.8.2

HTML zu PDF converter

Dieses Paket hat für Endanwender keinen Nutzen!


WSC 3.0



Siehe https://github.com/dompdf/dompdf

Codebeispiel

  • Version 0.8.2

  • Version 0.8.0

    Change highlights since 0.7.0

    • Improves compatibility with PHP 7.1
    • Adds support for width: auto CSS styling
    • Adds support for RGB-alpha and HEX-alpha CSS color values
    • Falls back to curl for remote resource fetching
    • Adds support for HTML5 elements
    • Improves CSS support for the following: float, nth-child/nth-of-type, :matches pseudo-class
    • Adds support for in-document linking using element ID
    • Adds preliminary support for media queries (width, height, and orientation)
    • Improves performance in various areas
    • Updates DejaVu Fonts to 2.37

    Updated dependencies

    • php-font-lib 0.5
    • php-svn-lib 0.2
  • Version 0.7.0

  • thanks for 0.8.2 update!

  • Hallo. Die Installation bricht mit folgender Fehlermeldung ab. https://www.dropbox.com/s/ta1m…05-10%2010.04.12.png?dl=0 Wo finde ich eine aussagekräftige Fehlermeldung? Ich vermute es fehlen noch PHP Libs aber wo finde ich die Fehlerursache?

    • Das Paket ist relativ groß. Anscheinend erlaubt dein Webserver keine größeren Uploads. Du hast zwei Möglichkeiten: Entweder du kontaktierst deinen Webhoster und bittest um ein höheres Uploadlimit (geht in der Regel auch über das Kundeninterface) oder du installierst das Paket über den Paketserver vom Plugin-Store.

    • Ja das hatte ich auch versucht aber über die Suche finde ich das Paket nicht. heißt es dort nicht DOMPDF ? Andere Pakete von dir finde ich dort.

    • Das ist leider ein WoltLab Bug am Paketserver. Ich habe WoltLab deswegen schon kontaktiert. Alternativ kann ich dir nur anbieten, dass ich es für dich installiere. ich würde aber Zugang zum ACP benötigen.

    • wir haben es hingekriegt lag an der uploadsize größe im PhP. Im Webserver war es richtig eingestellt aber in PhP mussten wir es auch nochmal anheben. Danke für deine schnelle Hilfe.

      Like 1
  • Hallo zusammen,


    Was machst DOMPDF genau ?

    • Das ist ein Paket was von diversen Erweiterungen benötigt wird. Für den Endnutzer hat es keine direkte Funktion.

  • Wäre es möglich die Version 0.8.0 im Plugin-Store bereitzustellen? Mit Version 0.7.0 bekomme ich unter PHP 7.1 Fehler, und 0.8.0 soll eine bessere PHP 7.1 Kompatibilität haben.

    • Ja, ich habe das Update bereits schon gemacht. Wir testen die Version derzeit noch im Lexikon-Betatest und werden sie in den nächsten Tagen freigeben.

    • Danke! :)